Dvswitch software not running on Odroid N2


 

Just bought an Odroid N2 running ubuntu mate. None of the dvswitch software will run on it. I have an XU4 Odroid with the same software and it runs fine. Can run MMDVMHost and YSF2DMR with no problems. 
Using latest version MB and AB selecting the correct file from the bin directory.


Steve N4IRS
 

I don't have a N2 to test it. What error do you get? What is the result of uname -a?
On the XU4, what Distribution are you running?

Steve N4IRS

On 11/24/2019 7:26 AM, Ernie Gm7kbk wrote:
Just bought an Odroid N2 running ubuntu mate. None of the dvswitch software will run on it. I have an XU4 Odroid with the same software and it runs fine. Can run MMDVMHost and YSF2DMR with no problems. 
Using latest version MB and AB selecting the correct file from the bin directory.


 

Hello

odroid@odroid:~$ uname -a
Linux odroid 4.14.111-139 #1 SMP PREEMPT Tue Apr 16 17:31:00 UTC 2019 armv7l armv7l armv7l GNU/Linux
odroid@odroid:~$

Release 16.04.6 LTS (Xenial Xerus) 32-bit

odroid@odroid:~$ uname -a
Linux odroid 4.9.196-63 #1 SMP PREEMPT Thu Oct 17 00:44:03 -03 2019 aarch64 aarch64 aarch64 GNU/Linux
odroid@odroid:~$

Release 18.04.2 LTS (Bionic Beaver) 64-bit



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 12:52
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
I don't have a N2 to test it. What error do you get? What is the result of uname -a?
On the XU4, what Distribution are you running?

Steve N4IRS

On 11/24/2019 7:26 AM, Ernie Gm7kbk wrote:
Just bought an Odroid N2 running ubuntu mate. None of the dvswitch software will run on it. I have an XU4 Odroid with the same software and it runs fine. Can run MMDVMHost and YSF2DMR with no problems. 
Using latest version MB and AB selecting the correct file from the bin directory.


Steve N4IRS
 

Which is the N2? Which is the XU4?

On 11/24/19 8:22 AM, Ernie Gm7kbk wrote:
Hello

odroid@odroid:~$ uname -a
Linux odroid 4.14.111-139 #1 SMP PREEMPT Tue Apr 16 17:31:00 UTC 2019 armv7l armv7l armv7l GNU/Linux
odroid@odroid:~$

Release 16.04.6 LTS (Xenial Xerus) 32-bit

odroid@odroid:~$ uname -a
Linux odroid 4.9.196-63 #1 SMP PREEMPT Thu Oct 17 00:44:03 -03 2019 aarch64 aarch64 aarch64 GNU/Linux
odroid@odroid:~$

Release 18.04.2 LTS (Bionic Beaver) 64-bit



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 12:52
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
I don't have a N2 to test it. What error do you get? What is the result of uname -a?
On the XU4, what Distribution are you running?

Steve N4IRS

On 11/24/2019 7:26 AM, Ernie Gm7kbk wrote:
Just bought an Odroid N2 running ubuntu mate. None of the dvswitch software will run on it. I have an XU4 Odroid with the same software and it runs fine. Can run MMDVMHost and YSF2DMR with no problems. 
Using latest version MB and AB selecting the correct file from the bin directory.



 

Hello

N2 is the bottom one. 64 bit


Steve N4IRS
 

That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit


 

Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit


Steve N4IRS
 

Did you follow the procedure I poointed out on the Armbian forum?

On 11/24/2019 8:54 AM, Ernie Gm7kbk wrote:
Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit



 

Hello

Yes that's the error I get when I follow the instructions. Package is missing.


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 1:56:46 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Did you follow the procedure I poointed out on the Armbian forum?

On 11/24/2019 8:54 AM, Ernie Gm7kbk wrote:
Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit



Steve N4IRS
 

Well, it was worth a try. I don't think I have a board that will do aarch64. So, for now, no support for aarch64.

Steve N4IRS

On 11/24/2019 9:00 AM, Ernie Gm7kbk wrote:
Hello

Yes that's the error I get when I follow the instructions. Package is missing.


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 1:56:46 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Did you follow the procedure I poointed out on the Armbian forum?

On 11/24/2019 8:54 AM, Ernie Gm7kbk wrote:
Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit




 

No problem. I'll get it going. Now that I know what I'm looking for. Thanks


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 2:03:51 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Well, it was worth a try. I don't think I have a board that will do aarch64. So, for now, no support for aarch64.

Steve N4IRS

On 11/24/2019 9:00 AM, Ernie Gm7kbk wrote:
Hello

Yes that's the error I get when I follow the instructions. Package is missing.


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 1:56:46 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Did you follow the procedure I poointed out on the Armbian forum?

On 11/24/2019 8:54 AM, Ernie Gm7kbk wrote:
Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit




Steve N4IRS
 

Ernie,
Sounds good. Keep us informed.
Before anyone pops up to tell me I can cross compile it, yes I can. I won't. I want a real board to test on before I push out a release.


Steve

On 11/24/2019 9:07 AM, Ernie Gm7kbk wrote:
No problem. I'll get it going. Now that I know what I'm looking for. Thanks


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 2:03:51 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Well, it was worth a try. I don't think I have a board that will do aarch64. So, for now, no support for aarch64.

Steve N4IRS

On 11/24/2019 9:00 AM, Ernie Gm7kbk wrote:
Hello

Yes that's the error I get when I follow the instructions. Package is missing.


From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: Sunday, November 24, 2019 1:56:46 PM
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
Did you follow the procedure I poointed out on the Armbian forum?

On 11/24/2019 8:54 AM, Ernie Gm7kbk wrote:
Hello

Get this error.

Reading package lists... Done
Building dependency tree      
Reading state information... Done
Package libc6:armhf is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
  tzdata

E: Package 'libc6:armhf' has no installation candidate



From: main@DVSwitch.groups.io <main@DVSwitch.groups.io> on behalf of Steve N4IRS <szingman@...>
Sent: 24 November 2019 13:30
To: main@DVSwitch.groups.io <main@DVSwitch.groups.io>
Subject: Re: [DVSwitch] Dvswitch software not running on Odroid N2
 
That's what I thought. I wanted to be sure. I would have to build for the 64 bit. For now look at <https://forum.armbian.com/topic/4764-running-32-bit-applications-on-aarch64/>

On 11/24/19 8:28 AM, Ernie Gm7kbk wrote:
Hello

N2 is the bottom one. 64 bit





Adrian Fewster <vk4tux@...>
 

I find the debian images better with odroids that I have here ;


https://forum.odroid.com/viewtopic.php?t=33865


On 25/11/19 12:07 am, Ernie Gm7kbk wrote:
No problem. I'll get it going. Now that I know what I'm looking for. Thanks




 

Hello Adrian
I down loaded the image onto a microSD card. Got the N2 fired up and updated. Used the link given to me earlier to allow 32 bit  programs to run on 64 bit system.
Rebooted and all is working with DVSwitch software. The latest Ubuntu software will not let you run 32 bit files they are not available to download either from US or UK servers. Found all the files on Debian site. Debian Stretch on a Odroid N2 works.

Thanks to Both
Gm7kbk


Steve N4IRS
 

Ernie,
Good to hear. I will still plan to support native ARM64 in the near future.

Steve

On 11/24/19 3:47 PM, Ernie Gm7kbk wrote:
Hello Adrian
I down loaded the image onto a microSD card. Got the N2 fired up and updated. Used the link given to me earlier to allow 32 bit  programs to run on 64 bit system.
Rebooted and all is working with DVSwitch software. The latest Ubuntu software will not let you run 32 bit files they are not available to download either from US or UK servers. Found all the files on Debian site. Debian Stretch on a Odroid N2 works.

Thanks to Both
Gm7kbk


Steve N4IRS
 

I now have a board that will do aarch64 (arm64) I bought a RPi4 and I'm running Ubuntu 19.10 on it.
I have pushed MMDVM_Bridge.arm64 and Analog_Bridge.arm64 to GitHub.
I will build the other support programs over the next few days. The ONLY testing I did was to make sure the executables ran. I will be doing full testing as I build the support programs.

73, Steve N4IRS 


 

Hello Steve
Working fine on Odroid N2 running Ubuntu.

Thanks


Steve N4IRS
 

Ernie,
Thanks for trying them out.

Steve

On 11/30/19 5:08 AM, Ernie Gm7kbk wrote:
Hello Steve
Working fine on Odroid N2 running Ubuntu.

Thanks